complexType "Lag"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | lagDuration?, firstObservationDateOffset?
</...>

Content Model Elements (2):

  firstObservationDateOffset, lagDuration

Annotation
An observation period that is offset from a Calculation Period.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Lag"> <xsd:sequence> <xsd:element minOccurs="0" name="lagDuration" type="Period"/> <xsd:element minOccurs="0" name="firstObservationDateOffset" type="Period"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
firstObservationDateOffset

  Type: | Period, complex content

  The interval between the start of each lagDuration and the start of each respective calculation period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="firstObservationDateOffset" type="Period"/>

lagDuration

  Type: | Period, complex content

  The period during which observations will be made. If a firstObservationDateOffset is specified, the observation period will start the specified interval prior to each Calculation Period - i.e. if the firstObservationDateOffset is 4 months and the lagDuration is 3 months, observations will be taken in months 4,3 and 2 (but not 1) prior to each Calculation Period. If no firstObservationDate is specified, the observation period will end immediately preceding each Calculation Period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="lagDuration" type="Period"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.